## xharbors.zip

=== Makefile ===
#
# $Id: Makefile,v 1.25 2005/10/24 04:01:52 druzus Exp $
#

ROOT = ../

C_HEADERS=\
	clipdefs.h   \
	extend.h     \
	hbapi.h      \
	hbapierr.h   \
	hbapifs.h    \
	hbapigt.h    \
	hbfast.h     \
	hbapiitm.h   \
	hbapilng.h   \
	hbapicdp.h   \
	hbapirdd.h   \
	hbcomp.h     \
	hbcomprs.h   \
	hbdate.h     \
	hbdbf.h      \
	hbdbferr.h   \
	hbdbsort.h   \
	hbdefs.h     \
	hberrors.h   \
	hbexprop.h   \
	hbfixdj.h    \
	hbhash.h     \
	hashapi.h    \
	hbi18n.h     \
	hbinit.h     \
	hbmacro.h    \
	hbmath.h     \
	hbnxs.h      \
	hbpcode.h    \
	hbpp.h       \
	hbrddcdx.h   \
	hbrdddbf.h   \
	hbrdddbt.h   \
	hbrdddel.h   \
	hbrddfpt.h   \
	hbrddntx.h   \
	hbrddsdf.h   \
	hbrddwrk.h   \
	hbset.h      \
	hbsetup.h    \
	hbstack.h    \
	hbsxfunc.h   \
	hbtrace.h    \
	hbtypes.h    \
	hbver.h      \
	hbvm.h       \
	hbvmopt.h    \
	hbvmpub.h    \
	hbxml.h      \
	hb_io.h      \
	hrbdll.h     \
	inet.h       \
	local.h      \
	hbregex.h    \
	thread.h     \
	classes.h    \
	ct.h         \
	ctmath.h     \
	ctset.h      \
	ctstr.h      \

PRG_HEADERS=\
	achoice.ch   \
	assert.ch    \
	assocarr.ch  \
	blob.ch      \
	box.ch       \
	button.ch    \
	color.ch     \
	common.ch    \
	dbedit.ch    \
	dbinfo.ch    \
	dbstruct.ch  \
	directry.ch  \
	error.ch     \
	fileio.ch    \
	getexit.ch   \
	gtinfo.ch    \
	gfx.ch       \
	hbclass.ch   \
	hbcommon.ch  \
	hbcomprs.ch  \
	hbextern.ch  \
	hblang.ch    \
	hblogdef.ch  \
	hbmacro.ch   \
	hbmemory.ch  \
	hbmemvar.ch  \
	hboo.ch      \
	hbpers.ch    \
	hbsetup.ch   \
	hbserv.ch    \
	hbstruct.ch  \
	hbver.ch     \
	inkey.ch     \
	memoedit.ch  \
	ord.ch       \
	rddsys.ch    \
	reserved.ch  \
	set.ch       \
	setcurs.ch   \
	simpleio.ch  \
	std.ch       \
	ttable.ch    \
	classex.ch   \
	cstruct.ch   \
	hbrpc.ch     \
	hbxml.ch     \
	hblog.ch     \
	math.ch      \
	tbrowse.ch   \
	tip.ch       \
	ct.ch        \
	ctvideo.ch   \
	ctwin.ch     \
	cterror.ch

API_HEADERS=\
	error.api    \
	extend.api   \
	filesys.api  \
	fm.api       \
	gt.api       \
	hbundoc.api  \
	item.api     \
	rdd.api      \
	vm.api       \

include $(TOP)$(ROOT)config/header.cf

=== cgi/Makefile ===
#
# $Id: Makefile,v 1.5 2005/10/15 09:34:38 lf_sfnet Exp $
#

ROOT = ../../

C_SOURCES=\

PRG_SOURCES=\
    thtm.prg \
    tcgi.prg \
    tedit.prg \
    tframe.prg \
    tfile.prg \
    hjwindow.prg \
    hterrsys.prg \
    htmutil.prg \
    htjlist.prg \

LIBNAME=cgi

DIRS=include

include $(TOP)$(ROOT)config/lib.cf
include $(TOP)$(ROOT)config/dir.cf

=== codepage/Makefile ===
#
# $Id: Makefile,v 1.18 2005/12/11 12:36:58 druzus Exp $
#

ROOT = ../../

C_SOURCES=\
      cpbgmik.c  \
      cpbgwin.c  \
      cpeldos.c  \
      cpelwin.c  \
      cpesdos.c  \
      cpeswin.c  \
      cpesmwin.c \
      cpgedos.c  \
      cpgewin.c  \
      cpfrdos.c  \
      cphr437.c  \
      cphr852.c  \
      cphr1250.c \
      cphu852.c  \
      cphuwin.c \
      cpit437.c  \
      cpit850.c  \
      cpitiso.c  \
      cpitisb.c  \
      cpltwin.c  \
      cppl852.c  \
      cppliso.c  \
      cpplmaz.c  \
      cpplwin.c  \
      cppt850.c  \
      cpptiso.c  \
      cpru866.c  \
      cprukoi.c  \
      cpruwin.c  \
      cpsl852.c  \
      cpsliso.c  \
      cpslwin.c  \
      cpsrwin.c  \
      cpua866.c  \
      cpuakoi.c  \
      cpuawin.c  \
      uc1250.c   \
      uc1251.c   \
      uc1253.c   \
      uc1257.c   \
      uc737.c    \
      uc850.c    \
      uc852.c    \
      uc866.c    \
      uc8859_1.c \
      uc88591b.c \
      uc8859_2.c \
      uckoi8.c   \
      uckoi8u.c  \
      ucmaz.c    \
      ucmik.c    \

LIBNAME=codepage

include $(TOP)$(ROOT)config/lib.cf

=== common/Makefile ===
#
# $Id: Makefile,v 1.3 2005/06/22 15:30:16 druzus Exp $
#

ROOT = ../../

C_SOURCES=\
	hbfhnd.c \
	hbfsapi.c \
	hbgete.c \
	hbhash.c \
	hbstr.c \
	hbtrace.c \
	hbver.c \
	hbarch.c \
	reserved.c \
	expropt1.c \
	expropt2.c \

PRG_SOURCES=\

LIBNAME=common

include $(TOP)$(ROOT)config/lib.cf

=== compiler/Makefile ===
#
# $Id: Makefile,v 1.4 2004/10/23 12:02:08 druzus Exp $
#

HB_LEX := SIMPLEX

ROOT = ../../

ifeq ($(HB_LEX),SIMPLEX)

YACC_SOURCE=harbour.sly

else

YACC_SOURCE=harbour.y

endif

YACC_HEADERS=\
	hbcomp.h \
	hbsetup.h \
	hbpcode.h \
	hbdefs.h \
	hberrors.h \
	hbpp.h

ifeq ($(HB_LEX),SIMPLEX)

C_EXTRA=hbslex.c

else

LEX_SOURCE=harbour.l

LEX_HEADERS=\
	hbsetup.h \
	hberrors.h \
	hbdefs.h
endif

C_SOURCES=\
	calconst.c \
	cmdcheck.c \
	genc.c \
	gencobj.c \
	genhrb.c \
	genjava.c \
	genobj32.c \
	hbfunchk.c \
	hbgenerr.c \
	hbpcode.c \
	hbusage.c \
	hbfix.c \
	hbident.c \
	expropta.c \
	exproptb.c \
	exproptc.c \
	$(C_EXTRA)

C_MAIN=harbour.c

LIBS=\
	pp \
	common \

include $(TOP)$(ROOT)config/bin.cf

=== ct/Makefile ===
#
# $Id: Makefile,v 1.18 2005/12/19 19:13:51 ptsarenko Exp $
#

ROOT = ../../

C_SOURCES = \
   addascii.c \
   asciisum.c \
   ascpos.c \
   atadjust.c \
   atnum.c \
   atrepl.c \
   bit1.c \
   bit2.c \
   bit3.c \
   charevod.c \
   charlist.c \
   charmirr.c \
   charmix.c \
   charone.c \
   charonly.c \
   charop.c \
   charrepl.c \
   charsort.c \
   charswap.c \
   count.c \
   ctc.c \
   ctchksum.c \
   ctcrypt.c \
   ctmath.c \
   ctmath2.c \
   ctnet.c \
   ctpad.c \
   ctset.c \
   ctstr.c \
   ctwin.c \
   datetime.c \
   dbftools.c \
   disk.c \
   exponent.c \
   files.c \
   finan.c \
   ftoc.c \
   justify.c \
   keyset.c \
   lton.c \
   maxline.c \
   misc1.c \
   misc2.c \
   misc3.c \
   num1.c \
   numat.c \
   numcount.c \
   numline.c \
   numlohi.c \
   pack.c \
   pos1.c \
   pos2.c \
   posdiff.c \
   print.c \
   range.c \
   relation.c \
   remove.c \
   replace.c \
   screen1.c \
   setclear.c \
   settime.c \
   strdiff.c \
   strfile.c \
   strswap.c \
   tab.c \
   token1.c \
   token2.c \
   trig.c \
   video.c \
   wordrepl.c \
   wordtoch.c \

PRG_SOURCES= \
   blank.prg  \
   color.prg \
   ct.prg \
   ctmisc.prg \
   cttime.prg \
   dattime2.prg \
   dattime3.prg \
   diskutil.prg \
   fcopy.prg \
   getinfo.prg \
   getsecrt.prg \
   invrtwin.prg \
   keysec.prg \
   keytime.prg \
   like.prg \
   numconv.prg \
   screen2.prg \
   screen3.prg \
   setkeys.prg \
   scrmark.prg \
   spread.prg \
   untext.prg \
   util.prg

LIBNAME=ct
ifeq ($(HB_MT),MT)
   MT_LIBNAME=ctmt
endif

include $(TOP)$(ROOT)config/lib.cf

=== debug/Makefile ===
#
# $Id: Makefile,v 1.4 2004/02/20 02:29:14 likewolf Exp $
#

ROOT = ../../

PRG_SOURCES=\
	dbgmenu.prg  \
	dbghelp.prg  \
	dbgtmenu.prg \
	dbgtmitm.prg \
	dbgtwin.prg  \
	debugger.prg \
	dbgaltd.prg  \
	dbgtarr.prg  \
	dbgtobj.prg  \
	tbrwtext.prg \
	dbgwa.prg    \
        dbgbrwsr.prg

LIBNAME=debug

include $(TOP)$(ROOT)config/lib.cf

=== guestbk/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2001/12/21 10:47:10 ronpinkas Exp $
#

ROOT = ../../

PRG_SOURCES=\
	guestbk.prg \
	inifiles.prg \
	testcgi.prg \
	
PRG_MAIN=guestbk.prg

LIBS=\
	debug \
	vm \
	rtl \
	lang \
	rdd \
	rtl \
	vm \
	macro \
	pp \
	common \

include $(TOP)$(ROOT)config/bin.cf

=== hbdict/Makefile ===
#
# $Id: Makefile,v 1.7 2003/12/03 13:01:27 mauriliolongo Exp $
#

ifeq ($(HB_MAIN),)
    HB_MAIN = cgi
endif

ROOT = ../../

PRG_SOURCES=\
	hbdict.prg 

ifeq ($(HB_ARCHITECTURE),dos)
    PRG_USR := -DDJGPP     
endif

PRG_MAIN=hbdict.prg

LIBS=\
	debug \
	vm \
	rtl \
	rdd \
	rtl \
	vm \
	macro \
	pp \
	lang \
	common \

include $(TOP)$(ROOT)config/bin.cf

INSTALL_OBJS += i18n/*.hit

=== hbdoc/Makefile ===
#
# $Id: Makefile,v 1.2 2004/08/25 17:02:57 lf_sfnet Exp $
#

ifeq ($(HB_MAIN),)
    HB_MAIN = std
endif

ROOT = ../../

PRG_SOURCES=\
	hbdoc.prg \
	genos2.prg \
	gentrf.prg \
	genng.prg \
	genhtm.prg \
	genchm.prg \
	genrtf.prg \
	genhpc.prg \
	genasc.prg \
	teeasc.prg \
	html.prg \
	ng.prg \
	os2.prg \
	rtf.prg \
	troff.prg \
	fclass1.prg \
	ffile1.prg \
	ft_funcs.prg \

PRG_MAIN=hbdoc.prg

LIBS=\
	debug \
	vm \
	rtl \
	rdd \
	rtl \
	vm \
	macro \
	pp \
	lang \
	common \

include $(TOP)$(ROOT)config/bin.cf

=== hbextern/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2001/12/21 10:45:09 ronpinkas Exp $
#

ifeq ($(HB_MAIN),)
 HB_MAIN = std
endif

ROOT = ../../

PRG_SOURCES=\
	hbextern.prg \

PRG_MAIN=hbextern.prg

LIBS=\
	debug \
	vm \
	rtl \
	lang \
	rdd \
	rtl \
	vm \
	macro \
	pp \
	common \

include $(TOP)$(ROOT)config/bin.cf

=== hbmake/Makefile ===
#
# $Id: Makefile,v 1.3 2003/05/08 03:25:32 lculik Exp $
#

ifeq ($(HB_MAIN),)
    HB_MAIN = std
endif

ROOT = ../../

PRG_SOURCES=\
    hbmake.prg \
    tmake.prg \
    hbmutils.prg \
    fclass1.prg \
    ffile1.prg \
    ft_funcs.prg \
    radios.prg \
    checks.prg  \
    pickarry.prg \
    pickfile.prg \
    prb_stak.prg \

C_SOURCES=\
   hbmlang.c        \


PRG_MAIN=hbmake.prg

LIBS=\
	debug \
	vm \
	rtl \
	rdd \
	rtl \
	vm \
	macro \
	pp \
	lang \
	common \

include $(TOP)$(ROOT)config/bin.cf

=== changelog ===
xharbour (0.99.5-1) unstable; urgency=low

  * Initial release.

 -- root <root@luizr>  Fri,  5 Sep 2003 10:09:00 -0300

Local variables:
mode: debian-changelog
End:

=== control ===
Source: xharbour
Section: development
Priority: optional
Maintainer: Luiz Rafael Culik Guimaraes <culikr@uol.com.br>
Standards-Version: 3.2.1

Package: xharbour
Architecture: any
Depends: ${shlibs:Depends},xharbour-libs (= ${Source-Version})
Description: Free software Clipper compatible compiler
 XHarbour is a CA-Clipper compatible compiler for multiple platforms. This
 package includes a compiler, pre-processor, header files, virtual machine
 and documentation.
 See README.RPM in the documentation directory for information specific to
 this RPM distribution.
 
Package: xharbour-libs
Architecture: any
Provides: libxharbour-libs
Description: Missing

Package: xharbour-static
Architecture: any
Description: Missing
 XHarbour is a Clipper compatible compiler.
 This package provides XHarbour static runtime libraries for static
 program linking.
 
Package: xharbour-pp
Architecture: all
Depends: xharbour (= ${Source-Version})
Description: Clipper/Harbour/xBase compatible Pre-Processor, DOT prompt and interpreter
 XHarbour is a Clipper compatible compiler.
 This package provides XHarbour PP. It has 3 personalities which are tied
 tightly together.
 1. What is supposed to be 100% Clipper compatible Pre-Processor
   (with some extensions).
 2. DOT prompt, which suppose to allow most of Clipper syntax.
 3. Finally, PP is a limited Clipper/Harbour/xBase Interpreter. Subject 
   to those same few limitations it can execute most of Harbour syntax.
   You can write your own xBase scripts by adding to your .prg files
   #!/usr/bin/pprun

=== rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=xharbour


export HB_BIN_INSTALL=$(CURDIR)/debian/tmp/usr/bin
export HB_INC_INSTALL=$(CURDIR)/debian/tmp/usr/include/xharbour
export HB_LIB_INSTALL=$(CURDIR)/debian/tmp/usr/lib/xharbour
export HB_DOC_INSTALL=$(CURDIR)/debian/tmp/usr/share/doc
export HB_MT=MT
export HB_GT_LIB=gtcrs
export HB_GPM_MOUSE=yes
export HB_MULTI_GT=yes
export RPM_BUILD_ROOT=$(CURDIR)/debian/tmp
export HB_COMPILER=gcc

#C_USR="-DHB_FM_STATISTICS_OFF -O3"
export HB_ARCHITECTURE=linux


readme="README.RPM"


build:
	mkdir -p $(HB_BIN_INSTALL)
	mkdir -p $(HB_INC_INSTALL)
	mkdir -p $(HB_LIB_INSTALL)
	mkdir -p $(RPM_BUILD_ROOT)
	$(checkdir)
	tar xfzv xharbour*.gz
	$(MAKE)
	xhbrules1
	touch build


clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS` debian/files* core
	-rm -f debian/*substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS`
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -m777 bin/hb-mkslib.sh $(HB_BIN_INSTALL)/hb-mkslib
	install -m777 bin/bld_solib.sh $(HB_BIN_INSTALL)/bld_solib
	install -m644 doc/en/*.txt $(HB_DOC_INSTALL)/xharbour/en
	install -m644 doc/es/*.txt $(HB_DOC_INSTALL)/xharbour/es
	install -m644 doc/*.txt $(HB_DOC_INSTALL)/xharbour
	
#	./`pwd`/debian/xhbrules
    
	debstd 
	dh_shlibdeps -l debian/tmp/usr/lib
	dpkg-gencontrol -isp -pxharbour
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
